<?php

/*
  Plugin Name: Getleades Essentials
  Plugin URI: https://themeforest.net/user/xpeedstudio/portfolio
  Description: Custom built extansions for unyson framework and some necessary helper functions.
  Author: xpeedstudio
  Version: 1.1
  Author URI: https://themeforest.net/user/xpeedstudio/
  License: GPLv3 or later
 */

/**
 * @internal
 */
function _filter_getleads_essentials($locations) {
    $locations[dirname(__FILE__) . '/extensions'] = plugin_dir_url(__FILE__) . 'extensions';

    return $locations;
}

add_filter('fw_extensions_locations', '_filter_getleads_essentials');

require_once 'option-types.php';










/*
 * GOOGLE FONT from theme  options
 * since 1.0
 */

if (!function_exists('getleads_action_theme_process_google_fonts')) {

    function getleads_action_theme_process_google_fonts() {
        $include_from_google = array();
        $google_fonts = fw_get_google_fonts();

        $home_title_h1 = fw_get_db_settings_option('home_title_h1');
        $home_title_h3 = fw_get_db_settings_option('home_title_h3');
        $heading_title = fw_get_db_settings_option('heading_title');
        $heading_subtitle = fw_get_db_settings_option('heading_subtitle');
        $body_font = fw_get_db_settings_option('body_font');

        // if is google font
        if (isset($google_fonts[$home_title_h1['family']])) {
            $include_from_google[$home_title_h1['family']] = $google_fonts[$home_title_h1['family']];
        }

        if (isset($google_fonts[$home_title_h3['family']])) {
            $include_from_google[$home_title_h3['family']] = $google_fonts[$home_title_h3['family']];
        }
        if (isset($google_fonts[$heading_title['family']])) {
            $include_from_google[$heading_title['family']] = $google_fonts[$heading_title['family']];
        }
        if (isset($google_fonts[$heading_subtitle['family']])) {
            $include_from_google[$heading_subtitle['family']] = $google_fonts[$heading_subtitle['family']];
        }
        if (isset($google_fonts[$body_font['family']])) {
            $include_from_google[$body_font['family']] = $google_fonts[$body_font['family']];
        }

        $google_fonts_links = fw_theme_get_remote_fonts($include_from_google);
        // set a option in db for save google fonts link
        update_option('fw_theme_google_fonts_link', $google_fonts_links);
    }

    add_action('fw_settings_form_saved', '_action_theme_process_google_fonts', 999, 2);
}

if (!function_exists('getleads_fw_theme_get_remote_fonts')) :

    function getleads_fw_theme_get_remote_fonts($include_from_google) {
        /**
         * Get remote fonts
         * @param array $include_from_google
         */
        if (!sizeof($include_from_google)) {
            return '';
        }

        $html = "<link href='http://fonts.googleapis.com/css?family=";

        foreach ($include_from_google as $font => $styles) {
            $html .= str_replace(' ', '+', $font) . ':' . implode(',', $styles['variants']) . '|';
        }

        $html = substr($html, 0, - 1);
        $html .= "' rel='stylesheet' type='text/css'>";

        return $html;
    }

endif;

if (!function_exists('getleads_action_theme_print_google_fonts_link')) :

    function getleads_action_theme_print_google_fonts_link() {
        /**
         * Print google fonts link
         */
        $google_fonts_link = get_option('fw_theme_google_fonts_link', '');
        if ($google_fonts_link != '') {
            echo getleads_return($google_fonts_link);
        }
    }

    add_action('wp_head', 'getleads_action_theme_print_google_fonts_link');
endif;

//end goole font



