"use strict";

(function($, elementor) {
  "use strict";

  var GetLeads = {
    init: function init() {
      var widgets = {
        "getleads-banner-slider.default": GetLeads.BannerSlider,
      };

      $.each(widgets, function(widget, callback) {
        elementor.hooks.addAction("frontend/element_ready/" + widget, callback);
      });

      elementor.hooks.addAction(
        "frontend/element_ready/global",
        GetLeads.GlobalCallback
      );
    },

    BannerSlider: function ($scope) {
      var swiper = new Swiper($scope.find('.banner-slider'), {
        speed: 600,
        grabCursor: true,
        loop: true,
        effect: 'fade',
        pagination: {
          el: $scope.find('.swiper-pagination'),
          clickable: true,
        },
      });
    }
  };

  $(window).on("elementor/frontend/init", GetLeads.init);
})(jQuery, window.elementorFrontend);
