<?php

if ( ! defined( 'ABSPATH' ) ) exit;

class GetLeads_Shortcode{

	/**
     * Holds the class object.
     *
     * @since 1.0
     *
     */
    public static $_instance;


    /**
     * Localize data array
     *
     * @var array
     */
    public $localize_data = array();

	/**
     * Load Construct
     *
     * @since 1.0
     */

	public function __construct(){
        add_action('elementskit/loaded', [$this, 'init']);
    }


	public function init(){

        add_action('elementor/init', array($this, 'getleads_elementor_init'));
        add_action('elementor/controls/controls_registered', array( $this, 'getleads_elementor_init' ), 11 );
        add_action('elementor/widgets/widgets_registered', array($this, 'getleads_shortcode_elements'));
        add_action( 'elementor/frontend/before_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
        add_action( 'elementor/preview/enqueue_styles', array( $this, 'preview_enqueue_scripts' ) );
	}


    /**
     * Enqueue Scripts
     *
     * @return void
     */

     public function enqueue_scripts() {
       wp_enqueue_script( 'getleads-main-elementor', GETLEADS_JS  . '/elementor.js',array( 'jquery', 'elementor-frontend' ), GETLEADS_VERSION, true );

        // ekit pro script and style
        if (class_exists('ElementsKit_Lite')) {
            if(\ElementsKit_Lite::package_type() == 'free' && !in_array('elementskit/elementskit.php', apply_filters('active_plugins', get_option('active_plugins')))){
                wp_enqueue_style( 'getleads-widget-styles-pro', GETLEADS_CSS . '/widget-styles-pro.css', null, GETLEADS_VERSION );
                wp_enqueue_script( 'getleads-widget-scripts-pro', GETLEADS_JS . '/widget-scripts-pro.js', array( 'jquery', 'elementor-frontend' ), GETLEADS_VERSION, true );
            }
        }
    }

    /**
     * Enqueue editor styles
     *
     * @return void
     */


    /**
     * Preview Enqueue Scripts
     *
     * @return void
     */

    public function preview_enqueue_scripts() {}
	/**
     * Elementor Initialization
     *
     * @since 1.0
     *
     */

    public function getleads_elementor_init(){
        \Elementor\Plugin::$instance->elements_manager->add_category(
            'getleads-elements',
            [
                'title' =>esc_html__( 'Getleads', 'getleads' ),
                'icon' => 'fa fa-plug',
            ],
            1
        );
    }
    /**
     * Extend Icon pack core controls.
     *
     * @param  object $controls_manager Controls manager instance.
     * @return void
     */

    public function getleads_icon_pack( $controls_manager ) {

        require_once GETLEADS_EDITOR_ELEMENTOR. '/controls/icon.php';

        $controls = array(
            $controls_manager::ICON => 'GetLeads_Icon_Controler',
        );

        foreach ( $controls as $control_id => $class_name ) {
            $controls_manager->unregister_control( $control_id );
            $controls_manager->register_control( $control_id, new $class_name() );
        }

    }

    public function getleads_shortcode_elements($widgets_manager){
        require_once GETLEADS_EDITOR_ELEMENTOR.'/widgets/advanced-tab/advanced-tab.php';
        $widgets_manager->register_widget_type(new Elementor\GetLeads_Advanced_Tab_Widget());

        require_once GETLEADS_EDITOR_ELEMENTOR.'/widgets/back-to-top/back-to-top.php';
        $widgets_manager->register_widget_type(new Elementor\GetLeads_Back_To_Top_Widget());

        require_once GETLEADS_EDITOR_ELEMENTOR.'/widgets/banner-slider/banner-slider.php';
        $widgets_manager->register_widget_type(new Elementor\GetLeads_Banner_Slider_Widget());

        if(class_exists('\Elementor\ElementsKit_Widget_Gallery')){
            $widgets_manager->register_widget_type(new Elementor\ElementsKit_Widget_Gallery());
        }

        if(class_exists('\Elementor\ElementsKit_Widget_timeline')){
            $widgets_manager->register_widget_type(new Elementor\ElementsKit_Widget_timeline());
        }

        if(class_exists('\Elementor\Elementskit_Widget_Twitter_Feed')){
            $widgets_manager->register_widget_type(new Elementor\Elementskit_Widget_Twitter_Feed());
        }
    }

	public static function getleads_get_instance() {
        if (!isset(self::$_instance)) {
            self::$_instance = new GetLeads_Shortcode();
        }
        return self::$_instance;
    }

}
GetLeads_Shortcode::getleads_get_instance();

if(!defined('ELEMENTOR_PRO_VERSION')){
    add_action( 'elementor/editor/after_enqueue_styles', function() {
        wp_enqueue_style( 'xs-elementor-editor-panel',  GETLEADS_CSS . '/elementor-editor-panel.css', null,  GETLEADS_VERSION );
    });
}