<?php

class Customizer extends \Devmonsta\Libs\Customizer
{

    public function register_controls()
    {

        /**
         * Add parent panels
         */

        include_once(get_template_directory(  ) . '/core/helpers/functions/global.php');

        $this->add_panel([
            'id'             => 'xs_theme_option_panel',
            'priority'       => 0,
            'theme_supports' => '',
            'title'          => __('Theme settings', 'getleads'),
            'description'    => __('Theme options panel', 'getleads'),
        ]);


        /**
         * General settings here
         */
        $this->add_section([
            'id'       => 'general_settings_section',
            'title'    => __('Optional Settings', 'getleads'),
            'panel'    => 'xs_theme_option_panel',
            'priority' => 20,
        ]);

        $this->add_control([
            'id'          => 'general_main_logo',
            'type'        => 'media',
            'section'     => 'general_settings_section',
            'label'       => esc_html__('Main Logo', 'getleads'),
            'description' => esc_html__( 'This is default logo. Our most of the menu built with elemnetsKit header builder. Go to header settings->Header builder enable->  and click "edit header content" to change the logo', 'getleads' ),
        ]);

        $this->add_control([
            'id'          => 'general_transparent_header_logo',
            'type'        => 'media',
            'section'     => 'general_settings_section',
            'label'       => esc_html__('Transparent Header Logo', 'getleads'),
            'description' => esc_html__( 'This is transparent header logo. Our most of the menu built with elemnetsKit header builder. Go to header settings->Header builder enable->  and click "edit header content" to change the logo', 'getleads' ),
        ]);

        /**
         * Header settings here
         */
        $this->add_section([
            'id'       => 'xs_header_settings_section',
            'title'    => __('Header Settings', 'getleads'),
            'panel'    => 'xs_theme_option_panel',
            'priority' => 10,
        ]);

        /**
         * Header builder switch here
         */
        $this->add_control([
            'id'      => 'header_builder_enable',
            'type'    => 'switcher',
            'default' => 'no',
            'label'   => esc_html__('Header builder Enable ?', 'getleads'),
            'desc'    => esc_html__('Do you want to enable n in header ?', 'getleads'),
            'section' => 'xs_header_settings_section',
            'attr'    => ['class' => 'xs_header_builder_switch'],
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'      => 'header_builder_select',
            'type'    => 'select',
            // 'value'   => '1',
            'label'   => esc_html__('Header', 'getleads'),
            'section' => 'xs_header_settings_section',
            'choices' => getleads_ekit_headers(),
            'attr'    => ['class' => 'xs_header_builder_select'],
            'conditions' => [
                [
                    'control_name'  => 'header_builder_enable',
                    'operator' => '==',
                    'value'    => "yes",
                ]
            ],
        ]);

        $this->add_control([
            'id'      => 'header_builder_select_html',
            'section' => 'xs_header_settings_section',
            // 'label'   => __('Html Input', 'getleads'),
            // 'desc'    => __('html description goes here', 'getleads'),
            'type'    => 'html',
            'value'   => '<h2 class="header_builder_edit"><a class="xs_builder_edit_link" style="text-transform: uppercase; color:green" target="_blank" href="#">'. esc_html('Edit content here.'). '</a><h2><h3><a style="text-transform: uppercase; color:#17a2b8" target="_blank" href="https://support.xpeedstudio.com/knowledgebase/customize-marketo-header-and-footer-builder/">'. esc_html('How to edit header'). '</a><h3>',
            'attr'    => ['class' => 'xs_header_builder_html'],
            'conditions' => [
                [
                    'control_name'  => 'header_builder_enable',
                    'operator' => '==',
                    'value'    => "yes",
                ]
            ],
        ]);

        $this->add_control([
            'id'      => 'header_nav_sticky',
            'type'    => 'switcher',
            'default' => 'right-choice',
            'label'   => esc_html__('Sticky header', 'getleads'),
            'desc'    => esc_html__('Do you want to enable sticky nav?', 'getleads'),
            'section' => 'xs_header_settings_section',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'      => 'header_transparent_enable',
            'type'    => 'switcher',
            'default' => 'yes',
            'label'   => esc_html__('Header transparent Enable', 'getleads'),
            'desc'    => esc_html__('Do you want to enable transparent nav?', 'getleads'),
            'section' => 'xs_header_settings_section',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'      => 'header_nav_search_section',
            'type'    => 'switcher',
            'default' => 'right-choice',
            'label'   => esc_html__('Search button show', 'getleads'),
            'desc'    => esc_html__('Do you want to show search button in header?', 'getleads'),
            'section' => 'xs_header_settings_section',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'      => 'header_quota_button',
            'type'    => 'switcher',
            'default' => 'right-choice',
            'label'   => esc_html__('Show Quote button', 'getleads'),
            'section' => 'xs_header_settings_section',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'          => 'header_quota_text',
            'type'        => 'text',
            'label'       => esc_html__('Quote text', 'getleads'),
            'description' => esc_html__('Navigation quote text.', 'getleads'),
            'default'     => esc_html__('Get a quote', 'getleads'),
            'section'     => 'xs_header_settings_section',
            'conditions' => [
                [
                    'control_name'  => 'header_quota_button',
                    'operator' => '==',
                    'value'    => "yes",
                ]
            ],
        ]);

        $this->add_control([
            'id'          => 'header_quota_url',
            'type'        => 'url',
            'label'       => esc_html__('Quote link', 'getleads'),
            'description' => esc_html__('Navigation quote link.', 'getleads'),
            'default'     => esc_url('#'),
            'section'     => 'xs_header_settings_section',
            'conditions' => [
                [
                    'control_name'  => 'header_quota_button',
                    'operator' => '==',
                    'value'    => "yes",
                ]
            ],
        ]);

        /**
         * Twitter settings here
         */
        $this->add_section([
            'id'       => 'twitter_settings_section',
            'title'    => __('Twitter Settings', 'getleads'),
            'panel'    => 'xs_theme_option_panel',
            'priority' => 10,
        ]);

        // ------ User ID
        $this->add_control([
            'id'    => 'twitter_user_id',
            'type'  => 'text',
            'label' => esc_html__('Twitter Username', 'getleads'),
            'section' => 'twitter_settings_section',
        ]);

        // --------- Access Token
        $this->add_control([
            'id'    => 'twitter_access_token',
            'type'  => 'text',
            'label' => esc_html__('Access Token', 'getleads'),
            'section' => 'twitter_settings_section',
        ]);

        $this->add_control([
            'id'      => 'edit_twitter_doc_html',
            'section' => 'twitter_settings_section',
            // 'label'   => __('Html Input', 'getleads'),
            // 'desc'    => __('html description goes here', 'getleads'),
            'type'    => 'html',
            'value'   => '<p style="color:#ffc107">'.esc_html__('Note** You can only use this feature for the ekit free version. It may not work on the ekit pro version.', 'getleads').'<p><h2><a style="text-transform: uppercase; color:#007bff" target="_blank" href="https://token.wpmet.com/index.php?provider=twitter">'. esc_html__('Get Access Token', 'getleads'). '</a><h2><h3><a style="text-transform: uppercase; color:#17a2b8" target="_blank" href="https://help.wpmet.com/docs/twitter-api-key/">'. esc_html__('Twitter API key Generate', 'getleads'). '</a><h3>',
        ]);

        /**
         * Banner settings here
         */

        $this->add_panel([
            'id'             => 'banner_settings_section',
            'title'          => esc_html__( 'Banner settings', "getleads" ),
            'panel'          => 'xs_theme_option_panel',
        ]);

        /**
         * page banner panel
         */

        $this->add_section([
            'id'       => 'banner_page_settings',
            'title'    => esc_html__( 'Page banner', "getleads" ),
            'panel'    => 'banner_settings_section',
        ]);


        /**
         * page banner control start here
         */

        $this->add_control([
            'id'      => 'page_show_banner',
            'type'    => 'switcher',
            'default' => 'yes',
            'label'   => esc_html__('Show banner?', 'getleads'),
            'desc'    => esc_html__('Show or hide the banner', 'getleads'),
            'section' => 'banner_page_settings',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'      => 'page_show_breadcrumb',
            'type'    => 'switcher',
            'default' => 'right-choice',
            'label'   => esc_html__('Show Breadcrumb?', 'getleads'),
            'desc'    => esc_html__('Show or hide the Breadcrumb', 'getleads'),
            'section' => 'banner_page_settings',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'    => 'page_banner_title',
            'type'  => 'text',
            'label' => esc_html__('Banner Title', 'getleads'),
            'section' => 'banner_page_settings',
        ]);

        $this->add_control([
            'id'       => 'page_banner_title_color',
            'section'  => 'banner_page_settings',
            'type'     => 'rgba-color-picker',
            'label'    => esc_html__('Title Color', 'getleads'),
        ]);

        $this->add_control([
            'id'      => 'banner_page_image',
            'type'    => 'media',
            'section' => 'banner_page_settings',
            'label'   => esc_html__('Banner Background', 'getleads'),
        ]);

        $this->add_control([
            'id'      => 'show_page_banner_overlay',
            'type'    => 'switcher',
            'default' => 'no',
            'label'   => esc_html__('Show background overlay', 'getleads'),
            'section' => 'banner_page_settings',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);


        $this->add_control([
            'id'       => 'page_banner_overlay_color',
            'section'  => 'banner_page_settings',
            'type'     => 'rgba-color-picker',
            'label'    => esc_html__('Banner Overlay Color', 'getleads'),
            'conditions' => [
                [
                    'control_name'  => 'show_page_banner_overlay',
                    'operator' => '==',
                    'value'    => "yes",
                ]
            ],
        ]);

        /**
         * blog banner panel
         */

        $this->add_section([
            'id'       => 'banner_blog_settings',
            'title'    => esc_html__( 'Blog banner', "getleads" ),
            'panel'    => 'banner_settings_section',
        ]);

        /**
         * blog banner control start here
         */

        $this->add_control([
            'id'      => 'blog_show_banner',
            'type'    => 'switcher',
            'default' => 'yes',
            'label'   => esc_html__('Show banner?', 'getleads'),
            'desc'    => esc_html__('Show or hide the banner', 'getleads'),
            'section' => 'banner_blog_settings',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'      => 'blog_show_breadcrumb',
            'type'    => 'switcher',
            'default' => 'right-choice',
            'label'   => esc_html__('Show Breadcrumb?', 'getleads'),
            'desc'    => esc_html__('Show or hide the Breadcrumb', 'getleads'),
            'section' => 'banner_blog_settings',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'    => 'blog_banner_title',
            'type'  => 'text',
            'label' => esc_html__('Banner Title', 'getleads'),
            'section' => 'banner_blog_settings',
        ]);

        $this->add_control([
            'id'       => 'blog_banner_title_color',
            'section'  => 'banner_blog_settings',
            'type'     => 'rgba-color-picker',
            'label'    => esc_html__('Title Color', 'getleads'),
        ]);

        $this->add_control([
            'id'      => 'banner_blog_image',
            'type'    => 'media',
            'section' => 'banner_blog_settings',
            'label'   => esc_html__('Banner Background', 'getleads'),
        ]);

        $this->add_control([
            'id'      => 'show_blog_banner_overlay',
            'type'    => 'switcher',
            'default' => 'yes',
            'label'   => esc_html__('Show background overlay', 'getleads'),
            'section' => 'banner_blog_settings',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'       => 'blog_banner_overlay_color',
            'section'  => 'banner_blog_settings',
            'type'     => 'rgba-color-picker',
            'label'    => esc_html__('Banner Overlay Color', 'getleads'),
            'conditions' => [
                [
                    'control_name'  => 'show_blog_banner_overlay',
                    'operator' => '==',
                    'value'    => "yes",
                ]
            ],
        ]);

        /**
         * Preloader settings here
         */


        /*======================= Preloader section ====================*/
        $this->add_section([
            'id'       => 'preloader_settings_section',
            'title'    => esc_html__('Preloader settings', 'getleads'),
            'panel'    => 'xs_theme_option_panel',
            'priority' => 10,
        ]);

        /*
            Preloader
        */
        $this->add_control([
            'id'      => 'show_preloader',
            'type'    => 'switcher',
            'default' => 'yes',
            'label'   => esc_html__('Show Preloader ?', 'getleads'),
            'desc'    => esc_html__('Do you want to enable n in preloader ?', 'getleads'),
            'section' => 'preloader_settings_section',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control( [
            'id'      => 'preloader_simple',
            'section' => 'preloader_settings_section',
            'type'    => 'image-picker',
            'value'   =>  get_template_directory_uri() . '/assets/images/preloader/oval.svg',
            'label'   => __( 'Preloader Image Picker', 'getleads' ),
            'choices' => [
                get_template_directory_uri() . '/assets/images/preloader/oval.svg' => [
                    'small' => get_template_directory_uri() . '/assets/images/preloader/oval.svg',
                ],
                get_template_directory_uri() . '/assets/images/preloader/audio.svg' => [
                    'small' =>  get_template_directory_uri() . '/assets/images/preloader/audio.svg',
                ],
                get_template_directory_uri() . '/assets/images/preloader/ball-triangle.svg' => [
                    'small' =>  get_template_directory_uri() . '/assets/images/preloader/ball-triangle.svg',
                ],
                get_template_directory_uri() . '/assets/images/preloader/bars.svg' => [
                    'small' =>  get_template_directory_uri() . '/assets/images/preloader/bars.svg',
                ],
                get_template_directory_uri() . '/assets/images/preloader/circles.svg' => [
                    'small' => get_template_directory_uri() . '/assets/images/preloader/circles.svg',
                ],
                get_template_directory_uri() . '/assets/images/preloader/grid.svg' => [
                    'small' => get_template_directory_uri() . '/assets/images/preloader/grid.svg',
                ],
                get_template_directory_uri() . '/assets/images/preloader/hearts.svg' => [
                    'small' =>  get_template_directory_uri() . '/assets/images/preloader/hearts.svg',
                ],
                get_template_directory_uri() . '/assets/images/preloader/puff.svg' => [
                    'small' =>  get_template_directory_uri() . '/assets/images/preloader/puff.svg',
                ],
                get_template_directory_uri() . '/assets/images/preloader/rings.svg' => [
                    'small' => get_template_directory_uri() . '/assets/images/preloader/rings.svg',
                ],
                get_template_directory_uri() . '/assets/images/preloader/spinning-circles.svg' => [
                    'small' =>  get_template_directory_uri() . '/assets/images/preloader/spinning-circles.svg',
                ],
                get_template_directory_uri() . '/assets/images/preloader/three-dots.svg' => [
                    'small' =>  get_template_directory_uri() . '/assets/images/preloader/three-dots.svg',
                ],
                get_template_directory_uri() . '/assets/images/preloader/tail-spin.svg' => [
                    'small' => get_template_directory_uri() . '/assets/images/preloader/tail-spin.svg',
                ],
            ],
        ] );

        /**
         * Woocommerce settings here
         */

        /*============= Woo Panel ===================*/
        $this->add_panel([
            'id'             => 'woo_settings_section',
            'title'          => esc_html__( 'WooCommerce', "getleads" ),
            'panel'          => 'xs_theme_option_panel',
        ]);

        /*======================= woocommerce section ====================*/
        /*
            Shop page banner
        */
        $this->add_section([
            'id'       => 'woo_page_settings',
            'title'    => esc_html__( 'Shop page banner', "getleads" ),
            'panel'    => 'woo_settings_section',
        ]);

        $this->add_control([
            'id'      => 'woo_show_banner',
            'type'    => 'switcher',
            'default' => 'yes',
            'label'   => esc_html__('Show banner?', 'getleads'),
            'desc'    => esc_html__('Show or hide the banner', 'getleads'),
            'section' => 'woo_page_settings',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'       => 'woo_banner_title_color',
            'section'  => 'woo_page_settings',
            'type'     => 'rgba-color-picker',
            'label'    => esc_html__('Title Color', 'getleads'),
        ]);

        $this->add_control([
            'id'      => 'banner_woo_image',
            'type'    => 'media',
            'section' => 'woo_page_settings',
            'label'   => esc_html__('Banner Background', 'getleads'),
        ]);

        $this->add_control([
            'id'      => 'show_woo_banner_overlay',
            'type'    => 'switcher',
            'default' => 'no',
            'label'   => esc_html__('Show background overlay', 'getleads'),
            'section' => 'woo_page_settings',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'       => 'woo_banner_overlay_color',
            'section'  => 'woo_page_settings',
            'type'     => 'rgba-color-picker',
            'label'    => esc_html__('Banner Overlay Color', 'getleads'),
            'conditions' => [
                [
                    'control_name'  => 'show_woo_banner_overlay',
                    'operator' => '==',
                    'value'    => "yes",
                ]
            ],
        ]);

        /*
            Shop single page banner
        */
        $this->add_section([
            'id'       => 'woo_sigle_page_settings',
            'title'    => esc_html__( 'Shop single page banner', "getleads" ),
            'panel'    => 'woo_settings_section',
        ]);

        $this->add_control([
            'id'      => 'woo_single_show_banner',
            'type'    => 'switcher',
            'default' => 'yes',
            'label'   => esc_html__('Show banner?', 'getleads'),
            'desc'    => esc_html__('Show or hide the banner', 'getleads'),
            'section' => 'woo_sigle_page_settings',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'       => 'woo_single_banner_title_color',
            'section'  => 'woo_sigle_page_settings',
            'type'     => 'rgba-color-picker',
            'label'    => esc_html__('Title Color', 'getleads'),
        ]);

        $this->add_control([
            'id'      => 'banner_woo_single_image',
            'type'    => 'media',
            'section' => 'woo_sigle_page_settings',
            'label'   => esc_html__('Banner Background', 'getleads'),
        ]);

        $this->add_control([
            'id'      => 'show_woo_single_banner_overlay',
            'type'    => 'switcher',
            'default' => 'no',
            'label'   => esc_html__('Show background overlay', 'getleads'),
            'section' => 'woo_sigle_page_settings',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'       => 'woo_single_banner_overlay_color',
            'section'  => 'woo_sigle_page_settings',
            'type'     => 'rgba-color-picker',
            'label'    => esc_html__('Banner Overlay Color', 'getleads'),
            'conditions' => [
                [
                    'control_name'  => 'show_woo_banner_overlay',
                    'operator' => '==',
                    'value'    => "yes",
                ]
            ],
        ]);

        /*
            Woo custom control
        */
        $this->add_section([
            'id'       => 'woo_custom_settings',
            'title'    => esc_html__( 'WooCommerce Settings', "getleads" ),
            'panel'    => 'woo_settings_section',
        ]);

        $this->add_control([
            'id'      => 'woo_shop_page_setting',
            'type'    => 'select',
            'value'   => 'fluid',
            'label' => esc_html__('Sidebar', 'getleads'),
            'section' => 'woo_custom_settings',
            'choices' => [
                'fluid'   => esc_html__('No sidebar', 'getleads'),
                'lidebar' => esc_html__('Left Sidebar', 'getleads'),
                'rsidbar' => esc_html__('Right Sidebar', 'getleads'),
            ],
        ]);

        /**
         * Typography settings here
         */
        $this->add_section([
            'id'       => 'typography_settings_section',
            'title'    => esc_html__('Style settings', 'getleads'),
            'panel'    => 'xs_theme_option_panel',
            'priority' => 10,
        ]);

        /**
         * body background control
         */
        $this->add_control([
            'id'      => 'style_body_bg',
            'label'   => esc_html__('Body background', 'getleads'),
            'type'    => 'color-picker',
            'section' => 'typography_settings_section',
            'default' => '#FFFFFF',
        ]);

        /**
         * primary color control
         */
        $this->add_control([
            'id'      => 'style_primary',
            'label'      => esc_html__('Primary color', 'getleads'),
            'type'    => 'color-picker',
            'section' => 'typography_settings_section',
            'default' => '#1ac6ff',
        ]);

        /**
         * secondary color control
         */
        $this->add_control([
            'id'      => 'secondary_color',
            'label'      => esc_html__('Secondary color', 'getleads'),
            'type'    => 'color-picker',
            'section' => 'typography_settings_section',
            'default' => '#ef7c46',
        ]);

        /**
         * Control for body Typography Input
         */
        $this->add_control([
            'id'         => 'body_font',
            'section'    => 'typography_settings_section',
            'type'       => 'typography',
            'value'      => [
                'family'         => 'Lato',
                'weight'         => 400,
                'size'           => 16,
                'line_height'    => 26,
                'color'          => '#777777',
                'letter_spacing' => 0
            ],
            'components' => [
                'family'         => true,
                'size'           => true,
                'line-height'    => true,
                'letter-spacing' => true,
                'weight'         => true,
                'color'          => true,
            ],
            'label'      => __('Body Typhography', 'getleads'),
        ]);

        /**
         * Control for H1 Typography Input
         */
        $this->add_control([
            'id'         => 'heading_font_one',
            'section'    => 'typography_settings_section',
            'type'       => 'typography',
            'value'      => [
                'family'         => 'Lato',
                'weight'         => 900,
                'size'           => 50,
                'color'          => '#69696e',
            ],
            'components' => [
                'family'         => true,
                'size'           => true,
                'line-height'    => true,
                'letter-spacing' => true,
                'weight'         => true,
                'color'          => true,
            ],
            'label'      => __('Heading H1 Typhography', 'getleads'),
        ]);

        /**
         * Control for H2 Typography Input
         */
        $this->add_control([
            'id'         => 'heading_font_two',
            'section'    => 'typography_settings_section',
            'type'       => 'typography',
            'value'      => [
                'family'         => 'Lato',
                'weight'         => 700,
                'size'           => 30,
                'color'          => '#69696e',
            ],
            'components' => [
                'family'         => true,
                'size'           => true,
                'line-height'    => true,
                'letter-spacing' => true,
                'weight'         => true,
                'color'          => true,
            ],
            'label'      => __('Heading H2 Typhography', 'getleads'),
        ]);

        /**
         * Control for H3 Typography Input
         */
        $this->add_control([
            'id'         => 'heading_font_three',
            'section'    => 'typography_settings_section',
            'type'       => 'typography',
            'value'      => [
                'family'         => 'Lato',
                'weight'         => 700,
                'size'           => 24,
                'color'          => '#69696e',
            ],
            'components' => [
                'family'         => true,
                'size'           => true,
                'line-height'    => true,
                'letter-spacing' => true,
                'weight'         => true,
                'color'          => true,
            ],
            'label'      => __('Heading H3 Typhography', 'getleads'),
        ]);

        /**
         * Control for H4 Typography Input
         */
        $this->add_control([
            'id'         => 'heading_font_four',
            'section'    => 'typography_settings_section',
            'type'       => 'typography',
            'value'      => [
                'family'         => 'Lato',
                'weight'         => 700,
                'size'           => 18,
                'color'          => '#69696e',
            ],
            'components' => [
                'family'         => true,
                'size'           => true,
                'line-height'    => true,
                'letter-spacing' => true,
                'weight'         => true,
                'color'          => true,
            ],
            'label'      => __('Heading H4 Typhography', 'getleads'),
        ]);

        /**
         * Control for H5 Typography Input
         */
        $this->add_control([
            'id'         => 'heading_font_five',
            'section'    => 'typography_settings_section',
            'type'       => 'typography',
            'value'      => [
                'family'         => 'Lato',
                'weight'         => 700,
                'size'           => 16,
                'color'          => '#69696e',
            ],
            'components' => [
                'family'         => true,
                'size'           => true,
                'line-height'    => true,
                'letter-spacing' => true,
                'weight'         => true,
                'color'          => true,
            ],
            'label'      => __('Heading H5 Typhography', 'getleads'),
        ]);

        /**
         * Control for H6 Typography Input
         */
        $this->add_control([
            'id'         => 'heading_font_six',
            'section'    => 'typography_settings_section',
            'type'       => 'typography',
            'value'      => [
                'family'         => 'Lato',
                'weight'         => 700,
                'size'           => 14,
                'color'          => '#69696e',
            ],
            'components' => [
                'family'         => true,
                'size'           => true,
                'line-height'    => true,
                'letter-spacing' => true,
                'weight'         => true,
                'color'          => true,
            ],
            'label'      => __('Heading H6 Typhography', 'getleads'),
        ]);

        $this->add_control([
            'id'      => 'dm_toggle',
            'label'   => __('Toggle', 'getleads'),
            'section' => 'typography_settings_section',
            'type'    => 'toggle',
        ]);


        /**
         * Blog settings here
         */
        $this->add_section([
            'id'       => 'blog_settings_section',
            'title'    => esc_html__('Blog settings', 'getleads'),
            'panel'    => 'xs_theme_option_panel',
            'priority' => 10,
        ]);

        /**
         * Blog settings body controls here
         */
        $this->add_control([
            'id'      => 'blog_sidebar',
            'type'    => 'select',
            'value'   => '3',
            'label' => esc_html__('Sidebar', 'getleads'),
            'section' => 'blog_settings_section',
            'choices' => [
                '1' => esc_html__('No sidebar', 'getleads'),
                '2' => esc_html__('Left Sidebar', 'getleads'),
                '3' => esc_html__('Right Sidebar', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'      => 'blog_author',
            'type'    => 'switcher',
            'default' => 'yes',
            'label'   => esc_html__('Blog author', 'getleads'),
            'desc'    => esc_html__('Do you want to show blog author?', 'getleads'),
            'section' => 'blog_settings_section',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'      => 'blog_related_post',
            'type'    => 'switcher',
            'default' => 'no',
            'label'      => esc_html__('Blog related post', 'getleads'),
            'desc'      => esc_html__('Do you want to show single blog related post?', 'getleads'),
            'section' => 'blog_settings_section',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'      => 'blog_related_post_number',
            'type'    => 'text',
            'label'   => esc_html__('Related post count', 'getleads'),
            'default' => '3',
            'section' => 'blog_settings_section',
        ]);


        /**
         * Footer Settings here
         */
        $this->add_section([
            'id'       => 'footer_settings_section',
            'title'    => esc_html__('Footer settings', 'getleads'),
            'panel'    => 'xs_theme_option_panel',
            'priority' => 10,
        ]);

        /**
         * Footer builder switch here
         */
        $this->add_control([
            'id'      => 'footer_builder_control_enable',
            'type'    => 'switcher',
            'default' => 'no',
            'label'   => esc_html__('Footer builder Enable ?', 'getleads'),
            'desc'    => esc_html__('Do you want to enable footer builder ?', 'getleads'),
            'section' => 'footer_settings_section',
            'attr'    => ['class' => 'xs_footer_builder_switch'],
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'id'      => 'footer_builder_select',
            'type'    => 'select',
            'value'   => '1',
            'label' => esc_html__('Footer', 'getleads'),
            'section' => 'footer_settings_section',
            'choices' => getleads_ekit_footers(),
            'conditions' => [
                [
                    'control_name'  => 'footer_builder_control_enable',
                    'operator' => '==',
                    'value'    => "yes",
                ]
            ],
        ]);

        $this->add_control([
            'id'      => 'footer_builder_select_html',
            'section' => 'footer_settings_section',
            // 'label'   => __('Html Input', 'getleads'),
            // 'desc'    => __('html description goes here', 'getleads'),
            'type'    => 'html',
            'value'   => '<h2 class="header_builder_edit"><a class="xs_builder_edit_link" style="text-transform: uppercase; color:green" target="_blank" href="#">'. esc_html('Edit content here.'). '</a><h2><h3><a style="text-transform: uppercase; color:#17a2b8" target="_blank" href="https://support.xpeedstudio.com/knowledgebase/customize-marketo-header-and-footer-builder/">'. esc_html('How to edit header'). '</a><h3>',
            'attr'    => ['class' => 'xs_footer_builder_html'],
            'conditions' => [
                [
                    'control_name'  => 'footer_builder_control_enable',
                    'operator' => '==',
                    'value'    => "yes",
                ]
            ],
        ]);

        /**
         * Footer bg control
         * */
        $this->add_control([
            'id'       => 'xs_footer_bg_color',
            'label'    => esc_html__('Background color', 'getleads'),
            'type'     => 'color-picker',
            'section'  => 'footer_settings_section',
            'default'  => '#404040',
            'desc'     => esc_html__('Footer background color of rgba-color-picker goes here', 'getleads'),
        ]);

        /**
         * Footer text control
         * */
        $this->add_control([
            'id'      => 'xs_footer_text_color',
            'label'   => esc_html__('Text color', 'getleads'),
            'type'    => 'color-picker',
            'section' => 'footer_settings_section',
            'default' => '#69696E',
            'desc'    => esc_html__('You can change the text color with rgba color or solid color', 'getleads'),
        ]);

        /**
         * Footer link control
         * */
        $this->add_control([
            'id'         => 'xs_footer_link_color',
            'label'      => esc_html__('Link Color', 'getleads'),
            'type'       => 'color-picker',
            'section'    => 'footer_settings_section',
            'default'    => '#333333',
            'desc'       => esc_html__('You can change the link color with rgba color or solid color', 'getleads'),
        ]);

        /**
         * Footer widget title control
         * */
        $this->add_control([
            'id'        => 'xs_footer_widget_title_color',
            'label'     => esc_html__('Widget Title Color', 'getleads'),
            'type'      => 'color-picker',
            'section'   => 'footer_settings_section',
            'default'   => '#333333',
            'desc'      => esc_html__('You can change the widget title color with rgba color or solid color', 'getleads'),
        ]);

        /**
         * Footer copyright bg control
         * */
        $this->add_control([
            'id'        => 'copyright_bg_color',
            'label'     => esc_html__('Copyright Background Color', 'getleads'),
            'type'      => 'color-picker',
            'section'   => 'footer_settings_section',
            'default'   => '#eff1f4',
            'desc'      => esc_html__('You can change the copyright background color with rgba color or solid color', 'getleads'),
        ]);

        /**
         * Footer copyright color control
         * */
        $this->add_control([
            'id'        => 'footer_copyright_color',
            'label'     => esc_html__('Copyright Text Color', 'getleads'),
            'type'      => 'color-picker',
            'default'   => '#69696e',
            'section'   => 'footer_settings_section',
            'desc'      => esc_html__('You can change the copyright tet color with rgba color or solid color', 'getleads'),
        ]);

        /**
         * Footer copyright text control
         * */
        $this->add_control([
            'id'          => 'footer_copyright',
            'type'        => 'textarea',
            'section'     => 'footer_settings_section',
            'value'       => esc_html__('&copy; '.date('Y').', getleads. All rights reserved', 'getleads'),
            'label'       => esc_html__('Copyright text', 'getleads'),
            'description' => esc_html__('This text will be shown at the footer of all pages.', 'getleads'),
        ]);

        /**
         * Footer spacing top control
         * */
        $this->add_control([
            'id'          => 'footer_padding_top',
            'label'       => esc_html__('Footer Padding Top', 'getleads'),
            'description' => esc_html__('Use Footer Padding Top', 'getleads'),
            'type'        => 'text',
            'section'     => 'footer_settings_section',
            'default'     => '100px',
        ]);

        /**
         * Footer spaceing bottom control
         * */
        $this->add_control([
            'id'          => 'footer_padding_bottom',
            'label'	      => esc_html__( 'Footer Padding Bottom', 'getleads' ),
            'description' => esc_html__( 'Use Footer Padding Bottom', 'getleads' ),
            'type'        => 'text',
            'section'     => 'footer_settings_section',
            'default'     => '100px',
        ]);

        /**
         * Footer back to top control
         * */
        $this->add_control([
            'id'      => 'back_to_top',
            'type'    => 'switcher',
            'default' => 'no',
            'label'   => esc_html__('Back to top', 'getleads'),
            'section' => 'footer_settings_section',
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);
    }
}
