<?php

use Devmonsta\Libs\Posts;

class Page extends Posts
{

    public function register_controls()
    {
        $this->add_box([
            'id' => 'page_post_meta',
            'post_type' => 'page',
            'title' => esc_html__('Page Settings', 'getleads'),
        ]);
        /**
         * control for text input
         */

        $this->add_control( [
            'box_id' => 'page_post_meta',
            'type'   => 'switcher',
            'name'   => 'page_meta_show_banner',
            'value'  => 'yes',
            'label'  => esc_html__('Show banner?', 'getleads'),
            'desc'   => esc_html__('Show or hide the banner', 'getleads'),
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'wellnesscenter'),
            ],
        ]);

        $this->add_control( [
            'box_id' => 'page_post_meta',
            'type'   => 'switcher',
            'name'   => 'page_meta_show_breadcumb',
            'value'  => 'yes',
            'label'  => esc_html__('Show Breadcumb?', 'getleads'),
            'desc'   => esc_html__('Show or hide the breadcumb', 'getleads'),
            'left-choice'  => [
                'no' => esc_html__('No', 'getleads'),
            ],
            'right-choice' => [
                'yes' => esc_html__('Yes', 'getleads'),
            ],
        ]);

        $this->add_control([
            'box_id' => 'page_post_meta',
            'type'   => 'text',
            'name'   => 'header_title',
            'desc'   => esc_html__('Add your Page hero title', 'getleads'),
            'label'  => esc_html__('Banner Title', 'getleads'),
        ]);

        $this->add_control([
            'box_id' => 'page_post_meta',
            'type'   => 'upload',
            'name'   => 'header_image',
            'desc'   => esc_html__('Upload a page header image', 'getleads'),
            'label'  => esc_html__('Banner image', 'getleads'),
        ]);
    }
}
