"use strict";

(function($, elementor) {
  "use strict";

  var _ThemeName = {
    init: function init() {
      var widgets = {
        "_themename-banner-slider.default": _ThemeName.BannerSlider,
      };

      $.each(widgets, function(widget, callback) {
        elementor.hooks.addAction("frontend/element_ready/" + widget, callback);
      });

      elementor.hooks.addAction(
        "frontend/element_ready/global",
        _ThemeName.GlobalCallback
      );
    },

    BannerSlider: function ($scope) {
      var swiper = new Swiper($scope.find('.banner-slider'), {
        speed: 600,
        grabCursor: true,
        loop: true,
        effect: 'fade',
        pagination: {
          el: $scope.find('.swiper-pagination'),
          clickable: true,
        },
      });
    }
  };

  $(window).on("elementor/frontend/init", _ThemeName.init);
})(jQuery, window.elementorFrontend);
